export interface NibbanaEntry {
    _id: string;
    occurredAt: Date;
    type: 'EVENT' | 'ERROR' | 'CRASH';
    userIdentification: string | null;
    superProperties: object;
}
export interface NibbanaEvent extends NibbanaEntry {
    type: 'EVENT';
    name: string;
    payload: object;
    duration?: number;
}
export interface NibbanaError extends NibbanaEntry {
    type: 'ERROR';
    message: string;
    name: string;
    stack: string | null;
    payload: object;
}
export interface NibbanaCrash extends NibbanaEntry {
    type: 'CRASH';
    message: string;
    name: string;
    stack: string | null;
    payload: object;
}
